Subject: [proto-team] Re: WG chair use of the ID-tracker: Proposed tool addition

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 10 Jan 2007 17:30:14 +0100

Hi Bert,

on 2007-01-10 15:00 Wijnen, Bert (Bert) said the following:
> I wwonder if we want/need a WG State annotation tag of
>    Dead WG document

That seems to be very similar to Dan Wing's proposed 'Abandoned'.
I've added "Dead WG Document" as a state in my working copy.

> That is a document that once was a WG document, but has been
> declared dead, or no longer on the WG agenda.
> 
> I also wonder if it is possible (I know it is handy/useful)
> to have the (next) milestone date for each WG document listed.

Mmm.  Good point.  One question: is this best handled by manual
annotation, or could / should it rather be calculated / deduced
from other data (charter, a set of acceptable times between events,
etc.) ?

	Henrik

> Bert
> 
>> -----Original Message-----
>> From: Henrik Levkowetz [mailto:[email-masked]] 
>> Sent: dinsdag 9 januari 2007 16:06
>> To: 'Working Group Chairs'
>> Cc: [email-masked]
>> Subject: WG chair use of the ID-tracker: Proposed tool addition
>> 
>> Hi,
>> 
>>    The proto-team document that describes proposed changes to 
>> the ID-tracker (https://datatracker.ietf.org/) which makes it 
>> possible for WG chairs to use the I-D tracker for managing WG 
>> documents has been revised after the feedback from this list 
>> (May 2006).
>> 
>> I've taken out all explicit state transitions; the tracker 
>> won't enforce or check the state transitions.  I've also 
>> removed sub-states, and instead introduced annotations to 
>> capture such things as documents awaiting review.  Multiple 
>> annotations may exist at the same time.
>> 
>> As I also mentioned the last time:
>> 
>> Since these changes and enhancements are explicitly meant for 
>> Your Use, Dear Fellow Chairs, it would be very good if you 
>> would read and comment on the document.  Excluding 
>> boilerplate etc. the actual content is 6 pages long, so it 
>> should be manageable, especially if you check the diffs (see 
>> links below).
>> 
>> The document is available from the internet-drafts repository:
>>   
>> http://ietf.org/internet-drafts/draft-ietf-proto-wgchair-track
> er-ext-01.txt
>> 
>> Diffs between -00 and this version are available here:
>>   
>> http://tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-tracke
> r-ext/draft-ietf-proto-wgchair-tracker-ext-01-from-00.diff.html
>>   
>> http://tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-tracke
> r-ext/draft-ietf-proto-wgchair-tracker-ext-01-from-00.wdiff.html
>> 
>> 
>> Please send comments to this list, with Cc: to [email-masked] .
>> 
>> 
>> Thanks,
>> 
>> 
>> 	Henrik
>> 
>> 
>> 
>> 
>> 
>> 
> 

_______________________________________________
proto-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/proto-team

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 15:21:24 +0100

Hi Jeff,

on 2007-01-11 23:02 Jeffrey Hutzelman said the following:
> 
> On Wednesday, January 10, 2007 03:00:04 PM +0100 "Wijnen, Bert (Bert)" 
> <[email-masked]> wrote:
> 
> IMHO we do want something like that, if it's not there already.  My WG has 
> several documents like that, and they never got to the IESG and so aren't 
> in the current tracker, some of them have progressed far enough to be in a 
> tracker that contains WG-level documents, before dying or being absorbed 
> into another document.

Right.  As indicated earlier, I've added this state in my working copy.

> Good question.  I think most documents go through a period when it is 
> possible, at least in the abstract.  OTOH, a WG may have a work item which 
> results in several documents, with no milestone being set for later 
> documents until most of the work on the earlier one is done (no, I can't 
> think offhand of an example that shouldn't involve separate milestones, but 
> I can imagine the possibility).
> 
> Maybe it would be good to have an optional next-milestone field, even if it 
> ends up having to be maintained manually by the WG chair.

I think there are various ways we could achieve this, as I indicated in
reply to Bert.

One is that the secretariat already has mechanisms to email chairs about
missed milestone deadlines; so a lot of the needed information is already
in the system, and just needs to be extracted and displayed.  I'll be
looking further at this.

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 17:03:41 +0100

Hi Matt,

on 2007-01-12 16:33 Matt Mathis said the following:
> "Dead" feels a little extreme due to it's finality.  How about "dropped",
> meaning it was under consideration (at any level) but is not any longer.
> 
> This would also apply to documents that came to the WG as candidate documents,
> and the WG said, "not ready yet", please go do some more research and
> reintroduce the idea later.  "Dead" sounds like "go away and don't come back".
> 
> TSVWG often sees documents that are way out in left field but contain some
> truly interesting innovations.  If there is detectable good stuff in with the
> chaff, the WG advice is often "fix XY and Z" and reintroduce it later.

That sounds more like another of the proposed states, "Parked WG Document",
I think...

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 17:26:06 +0100

Hi Matt,

on 2007-01-12 17:15 Matt Mathis said the following:
> No, some never come back, and the ones that do are often total rewrites, with
> new authors, etc. so they are really new documents.
> 
> TSVWG is sort of an exception, because "oddball" documents are in scope.   I
> would not want to keep one of these documents in the system, since the next
> iteration is completely at the whim of the author.   If it comes back, it has
> to be treated as a new document.

In that case, "Dead" sounds quite appropriate to me.  But if other folks
want a state in between "Dead" and "Parked", I can add one, certainly.

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 19:14:57 +0100

Hi Matt,

on 2007-01-12 17:49 Matt Mathis said the following:
> No I was not advocating a new state, just a more accurate, less harsh name for
> dead, because I fear resistance to using it since it implies final, when it
> does not need to.

Ok.  I guess I'm leaning towards 'Dead' because it seems quite appropriate
in most cases.  If we have consensus on something else, that's fine.  For
now I'm going to add a clarifying comment saying that 'Dead' documents can
be resurrected.

	Henrik